[arch-commits] Commit in deepin-editor/repos/community-x86_64 (3 files)

Felix Yan felixonmars at gemini.archlinux.org
Sun Sep 4 20:38:32 UTC 2022


    Date: Sunday, September 4, 2022 @ 20:38:31
  Author: felixonmars
Revision: 1292913

archrelease: copy trunk to community-x86_64

Added:
  deepin-editor/repos/community-x86_64/PKGBUILD
    (from rev 1292912, deepin-editor/trunk/PKGBUILD)
Deleted:
  deepin-editor/repos/community-x86_64/PKGBUILD
  deepin-editor/repos/community-x86_64/fix-include.patch

-------------------+
 PKGBUILD          |   67 +++++++++++++++++++++++-----------------------------
 fix-include.patch |   36 ---------------------------
 2 files changed, 30 insertions(+), 73 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-09-04 20:38:13 UTC (rev 1292912)
+++ PKGBUILD	2022-09-04 20:38:31 UTC (rev 1292913)
@@ -1,37 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=deepin-editor
-pkgver=5.10.33
-pkgrel=1
-pkgdesc='Simple editor for Deepin'
-arch=('x86_64')
-url="https://github.com/linuxdeepin/deepin-editor"
-license=('GPL3')
-depends=('deepin-qt5integration' 'enca' 'kcodecs' 'polkit-qt5' 'syntax-highlighting' 'libchardet' 'uchardet')
-makedepends=('cmake' 'gmock' 'gtest' 'ninja' 'qt5-tools')
-groups=('deepin-extra')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/linuxdeepin/deepin-editor/archive/$pkgver.tar.gz"
-        fix-include.patch)
-sha512sums=('cef3ec65a1ee83bcd81e574646256d216e9a420fa83cbf9a2597e09e1781af094999714674b093bd75dae389b884226ef1f702812d2f495633f2de93058cf41e'
-            '95809c705ab47c5c670a32605b815742225929db49cf0a62ff2cf82c1ff6ffeb190731fbee2a8e7002457fe072efc9fff741309655b7bfeeb3d06d240aa66750')
-
-prepare() {
-  cd deepin-editor-$pkgver
-  patch -p1 -i ../fix-include.patch
-}
-
-build() {
-  cd deepin-editor-$pkgver
-  cmake -GNinja -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release .
-  ninja
-}
-
-check() {
-  cd deepin-editor-$pkgver
-  ninja test || echo "Tests failed"
-}
-
-package() {
-  cd deepin-editor-$pkgver
-  DESTDIR="$pkgdir" ninja install
-}

Copied: deepin-editor/repos/community-x86_64/PKGBUILD (from rev 1292912, deepin-editor/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-09-04 20:38:31 UTC (rev 1292913)
@@ -0,0 +1,30 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=deepin-editor
+pkgver=5.10.34
+pkgrel=1
+pkgdesc='Simple editor for Deepin'
+arch=('x86_64')
+url="https://github.com/linuxdeepin/deepin-editor"
+license=('GPL3')
+depends=('deepin-qt5integration' 'enca' 'kcodecs' 'polkit-qt5' 'syntax-highlighting' 'libchardet' 'uchardet')
+makedepends=('cmake' 'gmock' 'gtest' 'ninja' 'qt5-tools')
+groups=('deepin-extra')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/linuxdeepin/deepin-editor/archive/$pkgver.tar.gz")
+sha512sums=('7157074a28f5787f64bfd242237f100df3c1483719b4fc0d3be8453a373d81e85e52f097e83b259563c49a5a3a8f3a7e81b649d13b7e0864e57af2f0f2673e40')
+
+build() {
+  cd deepin-editor-$pkgver
+  cmake -GNinja -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release .
+  ninja
+}
+
+check() {
+  cd deepin-editor-$pkgver
+  ninja test || echo "Tests failed"
+}
+
+package() {
+  cd deepin-editor-$pkgver
+  DESTDIR="$pkgdir" ninja install
+}

Deleted: fix-include.patch
===================================================================
--- fix-include.patch	2022-09-04 20:38:13 UTC (rev 1292912)
+++ fix-include.patch	2022-09-04 20:38:31 UTC (rev 1292913)
@@ -1,36 +0,0 @@
-diff --git a/src/editor/dtextedit.cpp b/src/editor/dtextedit.cpp
-index 473a557d..da322f69 100644
---- a/src/editor/dtextedit.cpp
-+++ b/src/editor/dtextedit.cpp
-@@ -33,9 +33,9 @@
- #include "insertblockbytextcommond.h"
- 
- 
--#include <KF5/KSyntaxHighlighting/definition.h>
--#include <KF5/KSyntaxHighlighting/syntaxhighlighter.h>
--#include <KF5/KSyntaxHighlighting/theme.h>
-+#include <KSyntaxHighlighting/definition.h>
-+#include <KSyntaxHighlighting/syntaxhighlighter.h>
-+#include <KSyntaxHighlighting/theme.h>
- 
- #include <QAbstractTextDocumentLayout>
- #include <QTextDocumentFragment>
-diff --git a/src/editor/showflodcodewidget.h b/src/editor/showflodcodewidget.h
-index def67adc..5d2e5b7b 100644
---- a/src/editor/showflodcodewidget.h
-+++ b/src/editor/showflodcodewidget.h
-@@ -23,10 +23,10 @@
- #include <DFrame>
- #include <DPlainTextEdit>
- #include <DApplicationHelper>
--#include <KF5/KSyntaxHighlighting/repository.h>
--#include <KF5/KSyntaxHighlighting/definition.h>
--#include <KF5/KSyntaxHighlighting/syntaxhighlighter.h>
--#include <KF5/KSyntaxHighlighting/theme.h>
-+#include <KSyntaxHighlighting/repository.h>
-+#include <KSyntaxHighlighting/definition.h>
-+#include <KSyntaxHighlighting/syntaxhighlighter.h>
-+#include <KSyntaxHighlighting/theme.h>
- 
- DWIDGET_USE_NAMESPACE
- 



More information about the arch-commits mailing list